Subject: Exclusive Ph.armacy you need
From: "Yusef Sholar" <[email-masked]>
To: "Kata Pitt" <[email-masked]>
Date: Sat, 22 Jan 2005 15:30:11 -0400

The auctioneer, a short lean faced, spare man with bushy hair and
an incisive eye, looked at him curiously and almost incredulously
but without pausing.  He had, somehow, in spite of himself, been
impressed by the boy's peculiar eye; and now he felt, without
knowing why, that the offer was probably legitimate enough, and